Subject: Re: George Morrow died Wed May 7th 2003

From: "David Gari" <[email-masked]>
Date: Sat May 10 13:55:00 2003

I had the pleasure of working at Morrow Designs in 1980 as a board repair 
tech (I was 20).  I poured over George's schematics and wondered at his 
elegance of design.  When he came to the shop floor he was always 
hyperactive, funny and informative, a genuine treat to be around.  He will 
be missed.

-David Gari